Subject: Re: Postel's razor applied to ACE

From: "James P. Salsman" <[email-masked]>
Date: Fri, 8 Dec 2000 22:59:29 -0800 (PST)

Paul,

Thank you for your replies:

> One more time with feeling: please take this discussion to the IDN 
> WG's mailing list. It has no place on the main IETF mailing list

I understand your perspective as the authority on ACE, but UTF-5 and 
competing representations are not limited to domain name applications.  
For example, email user-names and URIs both face very similar issues:  
what if your multibyte representation produces syntactic elements such 
as "@" or "/" respectivly?

>> Is there an Internet Draft describing the differences between the two?

  http://www.i-d-n.net/draft/draft-ietf-idn-compare-01.txt

ACE would be so much friendlier if the fatal error required when an 
ASCII-capable representation is encountered were softened to the simple 
return of the corresponding ASCII string.

Cheers,
James